"use strict";
const jsxRuntime = require("react/jsx-runtime");
const antd = require("antd");
const kit_Theme_UI = require("./Theme/UI.cjs");
require("./Theme/themeUtils.cjs");
require("./Theme/themes.cjs");
const Pagination = ({
  current = 1,
  pageSize = 10,
  total = 0,
  ...props
}) => {
  const {
    themeSettings: { className }
  } = kit_Theme_UI.useTheme();
  return /* @__PURE__ */ jsxRuntime.jsx(
    antd.Pagination,
    {
      className,
      current,
      pageSize,
      total,
      ...props
    }
  );
};
module.exports = Pagination;
